# TODOs

## Buying process

### Required

- [x] E-Mail notification
- [x] Security mechanism has to be triggered, if present
- [x] Buy products in stock

### Optional

- [ ] Notifications via XMPP
- [ ] Buy products in stock without an account (as a guest)

## User management and authentification

### Required

- [x] Hash Passwords
- [x] Deactivation of idle users
- [x] Reactivation procedure for idle users
- [x] Mangement of security mechanism(s)
- [x] Manage user name

### Optional

- [ ] Manage further metadata
        (E-mail, avatar, (XMPP?))
- [ ] Make idle for users time configurable
- [ ] Close and delete account
- [ ] Imlement Challenge-Response security mechanism

## Product management

### Required

- [x] Show product amount in stock
- [x] Correct product amount in stock
- [x] Book product amount changes
- [x] Manage product metadata
        (name, unit, bundle, price, category, EAN, supplier)
- [ ] JSON-Export like in matemat

### Optional

## Transactions

### Required

- [ ] Transaction Overview/Journal
- [ ] (Re)Charge of credit
- [ ] Transfer fo credit to another user

### Optional

## Management of Suppliers

### Required

- [ ] Create order suggestion based on current product amounts in stock
- [ ] Manage contact information of supplier

### Optional

- [ ] Create order based on suggestion and further product metadata to be sent
- [ ] Post order to supplier (automatically?)

## Management of authorization roles

### Required

- [ ] Enable granular defininition of roles
- [ ] Grant and deny users certain roles

### Optional

## Avatar management

### Required

- [ ] Delete Avatars
- [ ] Prune unused avatars

### Optional

## Settings

### Required

- [ ] Add a freetext field for contact information (imprint)
- [ ] Set currency symbol(s)
- [ ] Set decimal places (default: 2)
- [ ] Add signup block option
