{-# LANGUAGE TypeFamilies #-}
module Types.Settings where

import qualified Data.Text as T

-- internal imports

import Classes

data Settings = Settings
  { settingsBlockRegistration :: Bool
  , settingsImprintText       :: T.Text
  }
  deriving (Show)

instance ToDatabase Settings where

  type InTuple Settings = (Bool, T.Text)

  toDatabase (Settings reg imprint) = (reg, imprint)

instance FromDatabase Settings where

  type OutTuple Settings = (Bool, T.Text)

  fromDatabase (reg, imprint) = Settings reg imprint
